%global modname longerusername

%global longhash e4e85d7d29b2ba4fdd7937aa76c02e0098516406
%global shorthash e4e85d7d
%global gitdate 20130204

Name:               python-django-longerusername
Version:            0.4
Release:            2.%{gitdate}git%{shorthash}%{?dist}
Summary:            Make django auth.user username field longer
Group:              Development/Libraries
License:            BSD
URL:                https://github.com/GoodCloud/django-longer-username

# We *would* use pypi as the URL and Source values, but upstream doesn't ship
# all the information we need there, see
# https://github.com/GoodCloud/django-longer-username/pull/16

# Source acquired from
# https://github.com/GoodCloud/django-longer-username/archive/%{longhash}.tar.gz
Source0:            django-longer-username-%{longhash}.tar.gz

BuildArch:          noarch

BuildRequires:      python2-devel
BuildRequires:      python-setuptools

%if 0%{?rhel}
Requires:           Django
Requires:           Django-south
%else
Requires:           python-django
Requires:           python-django-south
%endif

%description
django-longerusername provides a migration and a monkeypatch to make
the django auth.user username field longer, instead of the arbitrarily
short 30 characters.

It's designed to be a simple include-and-forget project that makes a
little headache go away.

%prep
%setup -q -n django-longer-username-%{longhash}

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

%files
%doc README.md LICENSE
%{python_sitelib}/%{modname}/
%{python_sitelib}/%{modname}-%{version}*

%changelog
* Thu Feb 07 2013 Ralph Bean <rbean@redhat.com> - 0.4-2.20130204gite4e85d7d
- Added requirements on python-django and python-django-south
  as per review.

* Mon Feb 04 2013 Ralph Bean <rbean@redhat.com> - 0.4-1.20130204gite4e85d7d
- Initial packaging for Fedora.
